include:
  - https://gitlab.com/gitlab-org/security-products/ci-templates/raw/master/includes-dev/analyzer.yml
  - project: 'gitlab-org/security-products/ci-templates'
    ref: 'master'
    file: '/includes-dev/upsert-git-tag.yml'
  - component: $CI_SERVER_FQDN/components/dependency-scanning/main@0

variables:
  GO_VERSION: "1.22.3"
  REPORT_FILENAME: gl-sast-report.json
  MAX_IMAGE_SIZE_MB: 1100
  MAX_SCAN_DURATION_SECONDS: 600
  SAST_EXCLUDED_ANALYZERS: "spotbugs"
  DS_EXCLUDED_ANALYZERS: "gemnasium,gemnasium-maven"
  SAST_EXCLUDED_PATHS: "qa, spec, test, tests, tmp"
  DS_EXCLUDED_PATHS: "$SAST_EXCLUDED_PATHS"

shell check:
  image: koalaman/shellcheck-alpine:stable
  stage: pre-build
  before_script:
    - shellcheck --version
  script:
    - shellcheck config/*.sh config/.bashrc

.qa-downstream-sast:
  variables:
    SAST_EXCLUDED_PATHS: "" # TEMP: until https://gitlab.com/gitlab-org/gitlab/-/issues/223283
    SAST_EXCLUDED_ANALYZERS: ""
    DS_DEFAULT_ANALYZERS: ""

integration-test:
  image:
    name: registry.gitlab.com/gitlab-org/security-products/analyzers/integration-test:stable
  services:
    - docker:20.10-dind
  variables:
    TMP_IMAGE: $CI_REGISTRY_IMAGE/tmp:$CI_COMMIT_SHA$IMAGE_TAG_SUFFIX
  script:
    - rspec -f d
